package com.ejie.ab04b.webservice.client.q99mpps;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ab04b.webservice.client.q99mpps
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 * @author GFI-NORTE
 */
@XmlRegistry()
public class ObjectFactory {

	private final static QName STRINGQNAME = new QName(
			"http://www.openuri.org/", "string");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package:
	 * com.ejie.ab04b.webservice.client.q99mpps
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentSTXMLResponse }.
	 *
	 * @return SendEjgvDocumentSTXMLResponse
	 */
	public SendEjgvDocumentSTXMLResponse createSendEjgvDocumentSTXMLResponse() {
		return new SendEjgvDocumentSTXMLResponse();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentAttachmentReceiverST }.
	 *
	 * @return SendEjgvDocumentAttachmentReceiverST
	 */
	public SendEjgvDocumentAttachmentReceiverST createSendEjgvDocumentAttachmentReceiverST() {
		return new SendEjgvDocumentAttachmentReceiverST();
	}

	/**
	 * Create an instance of
	 * {@link SendEjgvDocumentAttachmentReceiverPresencialResponse }.
	 *
	 * @return SendEjgvDocumentAttachmentReceiverPresencialResponse
	 */
	public SendEjgvDocumentAttachmentReceiverPresencialResponse createSendEjgvDocumentAttachmentReceiverPresencialResponse() {
		return new SendEjgvDocumentAttachmentReceiverPresencialResponse();
	}

	/**
	 * Create an instance of
	 * {@link SendEjgvDocumentAttachmentReceiverPresencialXML }.
	 *
	 * @return SendEjgvDocumentAttachmentReceiverPresencialXML
	 */
	public SendEjgvDocumentAttachmentReceiverPresencialXML createSendEjgvDocumentAttachmentReceiverPresencialXML() {
		return new SendEjgvDocumentAttachmentReceiverPresencialXML();
	}

	/**
	 * Create an instance of {@link CreateEjgvDocument }.
	 *
	 * @return CreateEjgvDocument
	 */
	public CreateEjgvDocument createCreateEjgvDocument() {
		return new CreateEjgvDocument();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentSTResponse }.
	 *
	 * @return SendEjgvDocumentSTResponse
	 */
	public SendEjgvDocumentSTResponse createSendEjgvDocumentSTResponse() {
		return new SendEjgvDocumentSTResponse();
	}

	/**
	 * Create an instance of {@link RequestClassifierInPerson }.
	 *
	 * @return RequestClassifierInPerson
	 */
	public RequestClassifierInPerson createRequestClassifierInPerson() {
		return new RequestClassifierInPerson();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentAttachmentReceiverSTResponse
	 * }.
	 *
	 * @return SendEjgvDocumentAttachmentReceiverSTResponse
	 */
	public SendEjgvDocumentAttachmentReceiverSTResponse createSendEjgvDocumentAttachmentReceiverSTResponse() {
		return new SendEjgvDocumentAttachmentReceiverSTResponse();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentPresencial }.
	 *
	 * @return SendEjgvDocumentPresencial
	 */
	public SendEjgvDocumentPresencial createSendEjgvDocumentPresencial() {
		return new SendEjgvDocumentPresencial();
	}

	/**
	 * Create an instance of {@link AddRequestARResponse }.
	 *
	 * @return AddRequestARResponse
	 */
	public AddRequestARResponse createAddRequestARResponse() {
		return new AddRequestARResponse();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentSTXML }.
	 *
	 * @return SendEjgvDocumentSTXML
	 */
	public SendEjgvDocumentSTXML createSendEjgvDocumentSTXML() {
		return new SendEjgvDocumentSTXML();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentPresencialResponse }.
	 *
	 * @return SendEjgvDocumentPresencialResponse
	 */
	public SendEjgvDocumentPresencialResponse createSendEjgvDocumentPresencialResponse() {
		return new SendEjgvDocumentPresencialResponse();
	}

	/**
	 * Create an instance of {@link AttachmentReceiverInPersonResponse }.
	 *
	 * @return AttachmentReceiverInPersonResponse
	 */
	public AttachmentReceiverInPersonResponse createAttachmentReceiverInPersonResponse() {
		return new AttachmentReceiverInPersonResponse();
	}

	/**
	 * Create an instance of {@link AttachmentReceiverInPerson }.
	 *
	 * @return AttachmentReceiverInPerson
	 */
	public AttachmentReceiverInPerson createAttachmentReceiverInPerson() {
		return new AttachmentReceiverInPerson();
	}

	/**
	 * Create an instance of {@link AddRequestAR }.
	 *
	 * @return AddRequestAR
	 */
	public AddRequestAR createAddRequestAR() {
		return new AddRequestAR();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentST }.
	 *
	 * @return SendEjgvDocumentST
	 */
	public SendEjgvDocumentST createSendEjgvDocumentST() {
		return new SendEjgvDocumentST();
	}

	/**
	 * Create an instance of
	 * {@link SendEjgvDocumentAttachmentReceiverSTNewResponse }.
	 *
	 * @return SendEjgvDocumentAttachmentReceiverSTNewResponse
	 */
	public SendEjgvDocumentAttachmentReceiverSTNewResponse createSendEjgvDocumentAttachmentReceiverSTNewResponse() {
		return new SendEjgvDocumentAttachmentReceiverSTNewResponse();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentAttachmentReceiverSTNew }.
	 *
	 * @return SendEjgvDocumentAttachmentReceiverSTNew
	 */
	public SendEjgvDocumentAttachmentReceiverSTNew createSendEjgvDocumentAttachmentReceiverSTNew() {
		return new SendEjgvDocumentAttachmentReceiverSTNew();
	}

	/**
	 * Create an instance of {@link RequestClassifierInPersonResponse }.
	 *
	 * @return RequestClassifierInPersonResponse
	 */
	public RequestClassifierInPersonResponse createRequestClassifierInPersonResponse() {
		return new RequestClassifierInPersonResponse();
	}

	/**
	 * Create an instance of {@link AddRequest }.
	 *
	 * @return AddRequest
	 */
	public AddRequest createAddRequest() {
		return new AddRequest();
	}

	/**
	 * Create an instance of {@link AddRequestResponse }.
	 *
	 * @return AddRequestResponse
	 */
	public AddRequestResponse createAddRequestResponse() {
		return new AddRequestResponse();
	}

	/**
	 * Create an instance of {@link SendEjgvDocumentAttachmentReceiverPresencial
	 * }.
	 *
	 * @return SendEjgvDocumentAttachmentReceiverPresencial
	 */
	public SendEjgvDocumentAttachmentReceiverPresencial createSendEjgvDocumentAttachmentReceiverPresencial() {
		return new SendEjgvDocumentAttachmentReceiverPresencial();
	}

	/**
	 * Create an instance of
	 * {@link SendEjgvDocumentAttachmentReceiverPresencialXMLResponse }.
	 *
	 * @return SendEjgvDocumentAttachmentReceiverPresencialXMLResponse
	 */
	public SendEjgvDocumentAttachmentReceiverPresencialXMLResponse createSendEjgvDocumentAttachmentReceiverPresencialXMLResponse() {
		return new SendEjgvDocumentAttachmentReceiverPresencialXMLResponse();
	}

	/**
	 * Create an instance of {@link CreateEjgvDocumentResponse }.
	 *
	 * @return CreateEjgvDocumentResponse
	 */
	public CreateEjgvDocumentResponse createCreateEjgvDocumentResponse() {
		return new CreateEjgvDocumentResponse();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link String }
	 * {@code >}.
	 *
	 * @param value            String
	 * @return JAXBElement<String>
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "string")
	public JAXBElement<String> createString(String value) {
		return new JAXBElement<String>(ObjectFactory.STRINGQNAME, String.class,
				null, value);
	}

}
